GET /v1/classifications
from metadata.sdk import configure
from metadata.sdk.entities import Classifications
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List first page
classifications = Classifications.list(limit=50)
for c in classifications.data:
print(f"{c.fullyQualifiedName} (mutuallyExclusive: {c.mutuallyExclusive})")
# List all with auto-pagination
for c in Classifications.list_all():
print(f"{c.fullyQualifiedName}")
# With fields
classifications = Classifications.list(
fields=["owners"],
limit=50
)
import static org.openmetadata.sdk.fluent.Classifications.*;
// List first page
var result = Classifications.list()
.limit(50)
.execute();
for (var c : result.getData()) {
System.out.println(c.getFullyQualifiedName());
}
// With fields
var result = Classifications.list()
.fields("owners")
.limit(50)
.execute();
# List all
curl "{base_url}/api/v1/classifications?limit=50" \
-H "Authorization: Bearer {access_token}"
# With fields
curl "{base_url}/api/v1/classifications?fields=owners&limit=50" \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "06d90883-6be9-4f7e-9475-753f10a95e94",
"name": "Certification",
"fullyQualifiedName": "Certification",
"description": "Certifying Data Asset will provide the users with a clear idea of...",
"version": 0.1,
"updatedAt": 1769982619610,
"updatedBy": "admin",
"deleted": false,
"owners": [],
"provider": "system",
"mutuallyExclusive": true
}
],
"paging": {
"after": "...",
"total": 5
}
}
List Classifications
List all classifications with optional filtering and pagination
GET
/
v1
/
classifications
GET /v1/classifications
from metadata.sdk import configure
from metadata.sdk.entities import Classifications
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List first page
classifications = Classifications.list(limit=50)
for c in classifications.data:
print(f"{c.fullyQualifiedName} (mutuallyExclusive: {c.mutuallyExclusive})")
# List all with auto-pagination
for c in Classifications.list_all():
print(f"{c.fullyQualifiedName}")
# With fields
classifications = Classifications.list(
fields=["owners"],
limit=50
)
import static org.openmetadata.sdk.fluent.Classifications.*;
// List first page
var result = Classifications.list()
.limit(50)
.execute();
for (var c : result.getData()) {
System.out.println(c.getFullyQualifiedName());
}
// With fields
var result = Classifications.list()
.fields("owners")
.limit(50)
.execute();
# List all
curl "{base_url}/api/v1/classifications?limit=50" \
-H "Authorization: Bearer {access_token}"
# With fields
curl "{base_url}/api/v1/classifications?fields=owners&limit=50" \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "06d90883-6be9-4f7e-9475-753f10a95e94",
"name": "Certification",
"fullyQualifiedName": "Certification",
"description": "Certifying Data Asset will provide the users with a clear idea of...",
"version": 0.1,
"updatedAt": 1769982619610,
"updatedBy": "admin",
"deleted": false,
"owners": [],
"provider": "system",
"mutuallyExclusive": true
}
],
"paging": {
"after": "...",
"total": 5
}
}
List Classifications
List all classifications with optional filtering and pagination.Query Parameters
Maximum number of results to return (max: 1000000).
Cursor for backward pagination.
Cursor for forward pagination.
Comma-separated list of fields to include:
owners. See Supported Fields below.Include
all, deleted, or non-deleted entities.GET /v1/classifications
from metadata.sdk import configure
from metadata.sdk.entities import Classifications
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List first page
classifications = Classifications.list(limit=50)
for c in classifications.data:
print(f"{c.fullyQualifiedName} (mutuallyExclusive: {c.mutuallyExclusive})")
# List all with auto-pagination
for c in Classifications.list_all():
print(f"{c.fullyQualifiedName}")
# With fields
classifications = Classifications.list(
fields=["owners"],
limit=50
)
import static org.openmetadata.sdk.fluent.Classifications.*;
// List first page
var result = Classifications.list()
.limit(50)
.execute();
for (var c : result.getData()) {
System.out.println(c.getFullyQualifiedName());
}
// With fields
var result = Classifications.list()
.fields("owners")
.limit(50)
.execute();
# List all
curl "{base_url}/api/v1/classifications?limit=50" \
-H "Authorization: Bearer {access_token}"
# With fields
curl "{base_url}/api/v1/classifications?fields=owners&limit=50" \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "06d90883-6be9-4f7e-9475-753f10a95e94",
"name": "Certification",
"fullyQualifiedName": "Certification",
"description": "Certifying Data Asset will provide the users with a clear idea of...",
"version": 0.1,
"updatedAt": 1769982619610,
"updatedBy": "admin",
"deleted": false,
"owners": [],
"provider": "system",
"mutuallyExclusive": true
}
],
"paging": {
"after": "...",
"total": 5
}
}
Returns
Returns a paginated list of classification objects. By default, only basic fields are included. Use thefields parameter to request additional data.
Response
Array of classification objects.
Show properties
Show properties
Unique identifier for the classification (UUID format).
Classification name.
Fully qualified name of the classification.
Whether tags are mutually exclusive.
Provider:
user or system.List of owners. Only included when
fields contains owners.Supported Fields
| Field | Description |
|---|---|
owners | Owner references (users and teams) |
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
403 | FORBIDDEN | User lacks permission to list classifications |
Was this page helpful?
⌘I